---
lang: en
title: 'API docs: sequelize.sequelizecrudrepository.registerinclusionresolver'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/sequelize
permalink: /doc/en/lb4/apidocs.sequelize.sequelizecrudrepository.registerinclusionresolver.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/sequelize](./sequelize.md) &gt; [SequelizeCrudRepository](./sequelize.sequelizecrudrepository.md) &gt; [registerInclusionResolver](./sequelize.sequelizecrudrepository.registerinclusionresolver.md)

## SequelizeCrudRepository.registerInclusionResolver() method

Register an inclusion resolver for the related model name.

**Signature:**

```typescript
registerInclusionResolver(relationName: string, resolver: InclusionResolver<T, Entity>): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  relationName | string | Name of the relation defined on the source model |
|  resolver | [InclusionResolver](./repository.inclusionresolver.md)<!-- -->&lt;T, [Entity](./repository.entity.md)<!-- -->&gt; | Resolver function for getting related model entities |

**Returns:**

void


